Folliow

Loading...
Searching...
No Matches
Category Class Reference
Inheritance diagram for Category:

## Public Member Functions
| __construct ()
| getId ()
| setId ($id)
| getName ()
| setName ($name)
| getParent ()
| setParent ($parent)
Public Member Functions inherited from Mother
| hydrate (array $arrData)

## Protected Attributes
string | $_name = ''
int | $_parent = null
Protected Attributes inherited from Mother
string | $_prefix = ''

## Additional Inherited Members
Protected Member Functions inherited from Mother
| nettoyer (string $strText)

## Detailed Description

Classe d'un objet Category

Author
  Laura

## Constructor & Destructor Documentation

## ◆ __construct()

__construct | ( |  | ) |

le constructeur de la table category

## Member Function Documentation

## ◆ getId()

getId | ( |  | ) |

Récuperation de l'id de la catégorie

Returns
  int l'id de la catégorie

## ◆ getName()

getName | ( |  | ) |

Récuperation du nom de la catégorie

Returns
  string nom de la catégorie

## ◆ getParent()

getParent | ( |  | ) |

Récuperation du nom du parent de la catégorie

Returns
  int nom de la catégorie

## ◆ setId()

setId | ( |  | $id | ) |

Mise à jour de l'id de la catégorie

Parameters

  int | le nouvelle id

## ◆ setName()

setName | ( |  | $name | ) |

Mise à jour du nom de la catégorie

Parameters

  string | le nouveau nom de la catégorie

## ◆ setParent()

setParent | ( |  | $parent | ) |

Mise à jour du nom du parent de la catégorie

Parameters

  int | le nouveau nom de la catégorie

The documentation for this class was generated from the following file:

- D:/projetphp/entities/Category.php